@stack @project
Feature: Delete stack

  <% openstack_stack_id = @fixtures['stack']['openstack']['valid']['id'] %>
  Scenario: Delete stack with user without privileges
    When I send DELETE '/v2.0/stack/<%= openstack_stack_id %>' query with user without privileges
    Then response should be '401'

  @openstack
  Scenario: Delete stack with id '<%= openstack_stack_id %>'
    When I send DELETE '/v2.0/stack/<%= openstack_stack_id %>' query
    Then response should be '200'
    And the Content-Type header should include 'application/json'
    And the JSON response should be an object
